#
# spec file for package ghc-basement
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name basement
%global pkgver %{pkg_name}-%{version}
Name:           ghc-%{pkg_name}
Version:        0.0.16
Release:        1.5
Summary:        Foundation scrap box of array & string
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-rpm-macros
ExcludeArch:    %{ix86}

%description
Foundation most basic primitives without any dependencies.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%package -n ghc-%{pkg_name}-doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem
BuildArch:      noarch

%description -n ghc-%{pkg_name}-doc
This package provides the Haskell %{pkg_name} library documentation.

%package -n ghc-%{pkg_name}-prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       ghc-%{pkg_name}-devel = %{version}-%{release}
Supplements:    (ghc-%{pkg_name}-devel and ghc-prof)

%description -n ghc-%{pkg_name}-prof
This package provides the Haskell %{pkg_name} profiling library.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%files -n ghc-%{pkg_name}-doc -f ghc-%{pkg_name}-doc.files
%license LICENSE

%files -n ghc-%{pkg_name}-prof -f ghc-%{pkg_name}-prof.files

%changelog
* Wed Jun 14 2023 Peter Simons <psimons@suse.com>
- Update basement to version 0.0.16.
  Upstream does not provide a change log file.
* Thu Mar 30 2023 Peter Simons <psimons@suse.com>
- Updated spec file to conform with ghc-rpm-macros-2.5.2.
* Fri Aug 19 2022 Peter Simons <psimons@suse.com>
- Update basement to version 0.0.15.
  Upstream does not provide a change log file.
* Sun Aug 14 2022 Peter Simons <psimons@suse.com>
- Update basement to version 0.0.14 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Mar  3 2022 Peter Simons <psimons@suse.com>
- Update basement to version 0.0.14.
  Upstream does not provide a change log file.
* Thu May 13 2021 psimons@suse.com
- Update basement to version 0.0.12 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Mon Apr 26 2021 psimons@suse.com
- Update basement to version 0.0.12.
  Upstream does not provide a change log file.
* Fri Mar 12 2021 psimons@suse.com
- Update basement to version 0.0.11 revision 3.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Mon Aug 31 2020 psimons@suse.com
- Update basement to version 0.0.11 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun 16 2020 Peter Simons <psimons@suse.com>
- Re-generate file with latest version of spec-cleaner.
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Mon Jul 15 2019 psimons@suse.com
- Update basement to version 0.0.11.
  Upstream does not provide a change log file.
* Thu Feb  7 2019 psimons@suse.com
- Update basement to version 0.0.10.
  Upstream does not provide a change log file.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Tue Aug  7 2018 psimons@suse.com
- Update Cabal build information to support pre-8.x compilers.
* Fri Jul 13 2018 psimons@suse.com
- Update basement to version 0.0.8.
  Upstream does not provide a change log file.
* Mon May 14 2018 psimons@suse.com
- Adding initial version 0.0.7.
